Отказ в обслуживании в OpenSSL

Дата публикации:
28.05.2008
Дата изменения:
01.07.2008
Всего просмотров:
1437
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-0891
CVE-2008-1672
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenSSL 0.9.x
Уязвимые версии: OpenSSL версии 0.9.8f и 0.9.8g

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании.

1. Уязвимость существует из-за ошибки двойного освобождения памяти при обработке данных расширения имени сервера. Удаленный пользователь может вызвать отказ в обслуживании приложения, использующего OpenSSL. Для успешной эксплуатации уязвимости OpenSSL должен быть собран с использованием TLS расширений имени сервера.

2. Уязвимость существует из-за неизвестной ошибки, которая позволяет удаленному пользователю, контролирующему злонамеренный сервер, вызвать отказ в обслуживании клиентского приложения, использующего OpenSSL, когда "Server Key exchange message" не участвует в клиентском TLS рукопожатии и используется анонимный ключ Диффи-Хелмана.

URL производителя: www.openssl.org

Решение: Установите последнюю версию 0.9.8h с сайта производителя.

Ссылки: http://www.openssl.org/news/secadv_20080528.txt

или введите имя

CAPTCHA